geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Donald Woods <drw_...@yahoo.com>
Subject Re: Geronimo 1.1 JARs in Maven 2 Repo
Date Wed, 12 Jul 2006 02:59:48 GMT
The Geronimo Eclipse Plug-in build uses Maven 2 and depends on the v4 
POMs to load the Geronimo dependencies correctly....

If you try to build the Plug-in using legacy Maven 1 repos, it will 
always fail.



Alan D. Cabrera wrote:
> Aaron Mulder wrote:
> 
>> Since we don't necessarily plan on converting Geronimo 1.1.x to Maven
>> 2, can we post the 1.1 JARs in a Maven 2 repo somewhere, with a
>> structure corresponding to the new 1.2/Maven 2 group IDs (o.a.g.*) but
>> no POMs?
>>
>> That would help with building plugins using Maven 2 against the 1.1
>> JARs (such as kernel, system, etc.).  At least if you put in an
>> explicit dependency in your plugin POM it should be able to pull the
>> JARs for you.  (And of course they're only needed at compile time
>> since they'll be pulled in via parent module dependencies at runtime.)
>>
>> If no one has any better idea, maybe I'll post them on my
>> people.apache.org for now.  But if we can agree to post them to the
>> Maven 2 repo at iBiblio that would be great.
> 
> Maven 1 repos can be used from Maven 2.  Why would we need to post maven 
> 1 jars into a maven 2 repository?
> 
> 
> Regards,
> Alan
> 
> 
> 
> 

Mime
View raw message